Name:           glassfish-jaxb
Version:        2.2.11
Release:        %mkrel 7
Group:          Development/Java
Summary:        JAXB Reference Implementation

License:        CDDL and GPLv2 with exceptions
URL:            http://jaxb.java.net

Source0:        https://jaxb.java.net/%{version}/jaxb-ri-%{version}.src.zip
Patch0:         txw2-args4j.patch

BuildRequires:  maven-local
BuildRequires:  mvn(args4j:args4j)
BuildRequires:  mvn(com.google.code.javaparser:javaparser)
BuildRequires:  mvn(com.sun.istack:istack-commons-runtime)
BuildRequires:  mvn(com.sun.istack:istack-commons-tools)
BuildRequires:  mvn(com.sun:tools)
BuildRequires:  mvn(com.sun.xml.dtd-parser:dtd-parser)
BuildRequires:  mvn(com.sun.xml.fastinfoset:FastInfoset)
BuildRequires:  mvn(com.sun.xsom:xsom)
BuildRequires:  mvn(javax.xml.bind:jaxb-api)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(net.java.dev.msv:msv-core)
BuildRequires:  mvn(net.java:jvnet-parent:pom:)
BuildRequires:  mvn(org.apache.ant:ant)
BuildRequires:  mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-deploy-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:  mvn(org.codehaus.mojo:buildnumber-maven-plugin)
BuildRequires:  mvn(org.jvnet.staxex:stax-ex)
BuildRequires:  mvn(relaxngDatatype:relaxngDatatype)
BuildRequires:  mvn(xmlunit:xmlunit)

Requires:       glassfish-jaxb1-impl                  = %{version}-%{release}
Requires:       %{name}-bom                           = %{version}-%{release}
Requires:       %{name}-bom-ext                       = %{version}-%{release}
Requires:       %{name}-codemodel                     = %{version}-%{release}
Requires:       %{name}-codemodel-annotation-compiler = %{version}-%{release}
Requires:       %{name}-codemodel-parent              = %{version}-%{release}
Requires:       %{name}-core                          = %{version}-%{release}
Requires:       %{name}-external-parent               = %{version}-%{release}
Requires:       %{name}-jxc                           = %{version}-%{release}
Requires:       %{name}-parent                        = %{version}-%{release}
Requires:       %{name}-rngom                         = %{version}-%{release}
Requires:       %{name}-runtime                       = %{version}-%{release}
Requires:       %{name}-runtime-parent                = %{version}-%{release}
Requires:       %{name}-txw2                          = %{version}-%{release}
Requires:       %{name}-txwc2                         = %{version}-%{release}
Requires:       %{name}-txw-parent                    = %{version}-%{release}
Requires:       %{name}-xjc                           = %{version}-%{release}

BuildArch:      noarch

%description
GlassFish JAXB Reference Implementation.

%package codemodel
Summary:        Codemodel Core

%description codemodel
The core functionality of the CodeModel java source code generation
library.

%package codemodel-annotation-compiler
Summary:        Codemodel Annotation Compiler

%description codemodel-annotation-compiler
The annotation compiler ant task for the CodeModel java source code
generation library.

%package -n glassfish-jaxb1-impl
Summary:        JAXB1 Runtime

%description -n glassfish-jaxb1-impl
Runtime classes for JAXB1 runtime implementation.

%package bom
Summary:        JAXB BOM

%description bom
JAXB Bill of Materials (BOM)

%package bom-ext
Summary:        JAXB BOM with all dependencies

%description bom-ext
JAXB Bill of Materials (BOM) with all dependencies.

%package codemodel-parent
Summary:        Codemodel parent POM

%description codemodel-parent
This package contains codemodel parent POM.

%package core
Summary:        JAXB Core

%description core
JAXB Core module. Contains sources required by XJC, JXC and Runtime
modules.

%package external-parent
Summary:        JAXB External parent POM

%description external-parent
JAXB External parent POM.

%package jxc
Summary:        JAXB schema generator

%description jxc
The tool to generate XML schema based on java classes.

%package parent
Summary:        JAXB parent POM

%description parent
This package contains parent POM.

%package runtime
Summary:        JAXB Runtime

%description runtime
JAXB (JSR 222) Reference Implementation

%package runtime-parent
Summary:        JAXB Runtime parent POM

%description runtime-parent
This package contains Runtime parent POM.

%package txw-parent
Summary:        JAXB TXW parent POM

%description txw-parent
This package contains TXW parent POM.

%package xjc
Summary:        JAXB XJC
# ease upgrade mga5 -> mga6 (can be removed for mga7)
Conflicts:      glassfish-jaxb < 2.2.5-8

%description xjc
JAXB Binding Compiler. Contains source code needed for binding
customization files into java sources. In other words: the tool to
generate java classes for the given xml representation.

%package rngom
Summary:        RELAX NG Object Model/Parser

%description rngom
This package contains RELAX NG Object Model/Parser.

%package txw2
Summary:        TXW2 Runtime

%description txw2
TXW is a library that allows you to write XML documents.

%package txwc2
Summary:        TXW2 Compiler

%description txwc2
JAXB schema generator. The tool to generate XML schema based on java
classes.

%package javadoc
Summary:        Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -c

%patch0 -p1

%pom_disable_module bundles

%pom_remove_dep com.sun:tools
%pom_add_dep_mgmt com.sun:tools
%pom_remove_dep com.sun:tools jxc
%pom_add_dep com.sun:tools jxc

%pom_remove_dep com.sun.xml.bind:jaxb-release-documentation bundles/ri
%pom_remove_dep com.sun.xml.bind:jaxb-samples bundles/ri

%pom_remove_plugin :gfnexus-maven-plugin
%pom_remove_plugin :maven-site-plugin

%mvn_alias org.glassfish.jaxb:jaxb-runtime "com.sun.xml.bind:jaxb-impl"
%mvn_alias org.glassfish.jaxb:jaxb-xjc "com.sun.xml.bind:jaxb-xjc"

%build
%mvn_build -f -s -- -Ddev

%install
%mvn_install

%files
%doc License.txt licenceheader.txt License.html

%files codemodel -f .mfiles-codemodel
%dir %{_javadir}/%{name}
%doc License.txt licenceheader.txt License.html

%files codemodel-annotation-compiler -f .mfiles-codemodel-annotation-compiler
%dir %{_javadir}/%{name}

%files -n glassfish-jaxb1-impl -f .mfiles-jaxb1-impl
%dir %{_javadir}/%{name}

%files bom -f .mfiles-jaxb-bom
%doc License.txt licenceheader.txt License.html

%files bom-ext -f .mfiles-jaxb-bom-ext

%files codemodel-parent -f .mfiles-jaxb-codemodel-parent

%files core -f .mfiles-jaxb-core
%dir %{_javadir}/%{name}
%doc License.txt licenceheader.txt License.html

%files external-parent -f .mfiles-jaxb-external-parent

%files jxc -f .mfiles-jaxb-jxc
%dir %{_javadir}/%{name}
%doc License.txt licenceheader.txt License.html

%files parent -f .mfiles-jaxb-parent

%files runtime -f .mfiles-jaxb-runtime
%dir %{_javadir}/%{name}
%doc License.txt licenceheader.txt License.html

%files runtime-parent -f .mfiles-jaxb-runtime-parent

%files txw-parent -f .mfiles-jaxb-txw-parent

%files xjc -f .mfiles-jaxb-xjc
%dir %{_javadir}/%{name}

%files rngom -f .mfiles-rngom
%dir %{_javadir}/%{name}
%doc License.txt licenceheader.txt License.html

%files txw2 -f .mfiles-txw2
%dir %{_javadir}/%{name}
%doc License.txt licenceheader.txt License.html

%files txwc2 -f .mfiles-txwc2
%dir %{_javadir}/%{name}
%doc License.txt licenceheader.txt License.html

%files javadoc -f .mfiles-javadoc
%doc License.txt licenceheader.txt License.html




%changelog
* Mon Jul 04 2016 daviddavid <daviddavid> 2.2.11-7.mga6
+ Revision: 1038679
- add a conflicts to ease upgrade mga5 -> mga6 (thanks to Charles A Edwards)

* Wed Mar 02 2016 neoclust <neoclust> 2.2.11-6.mga6
+ Revision: 982348
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.2.11-5.mga6
+ Revision: 976246
- First rebuild of the java stack
- sync package glassfish-jaxb with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Jun 26 2015 daviddavid <daviddavid> 2.2.11-1.mga6
+ Revision: 844702
- bump release to 1

* Fri Jun 26 2015 daviddavid <daviddavid> 2.2.11-0.1.mga6
+ Revision: 844700
- sync with fc23 (update to 2.2.11)
  * split into subpackages (Resolves: rhbz#1204187)
- fix Group
- fix owner of maven-poms dir

* Sun Dec 28 2014 daviddavid <daviddavid> 2.2.5-7.mga5
+ Revision: 806819
- Sync with fc21

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Fri Jan 03 2014 dmorgan <dmorgan> 2.2.5-4.mga4
+ Revision: 564401
- Adapt to glassfish-fastinfoset new jar filename

* Fri Oct 18 2013 umeabot <umeabot> 2.2.5-3.mga4
+ Revision: 504888
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.2.5-2.mga3
+ Revision: 351723
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 dmorgan <dmorgan> 2.2.5-1.mga3
+ Revision: 291459
- New version

* Tue Nov 08 2011 dmorgan <dmorgan> 2.2.4-2.u1.1.mga2
+ Revision: 165181
- Add java-devel as buildrequires
- Clean spec file

  + gil <gil>
    - edit spec file
    - edit spec file, see http://www.java.net/node/700048
    - edit spec file, see see
    - added xjc and schemagen scripts
    - imported package glassfish-jaxb


* Sun Jul 03 2011 gil <gil> 2.1.9-0.%%mkrel
- initial rpm

